package com.livelike.flickersearchlibrary.api.model

import com.livelike.flickersearchlibrary.api.utils.createPhotoUrl
import com.livelike.flickersearchlibrary.ui.model.PhotoItem
import com.squareup.moshi.Json

internal data class Photo(
    @Json(name = "id")
    val id: String,
    @Json(name = "owner")
    val owner: String,
    @Json(name = "secret")
    val secret: String,
    @Json(name = "server")
    val server: String,
    @Json(name = "farm")
    val farm: Int,
    @Json(name = "title")
    val title: String,
    @Json(name = "ispublic")
    val isPublic: Int,
    @Json(name = "isfriend")
    val isFriend: Int,
    @Json(name = "isfamily")
    val isFamily: Int
) {
    fun toPhotoItem() = PhotoItem(createPhotoUrl(server, id, secret), title)
}

